.no-scroll {
    overflow: hidden;
}

p {
    line-height: 1.4rem;
}

* {
    margin: 0px;
    padding: 0px;
    font-family: Montserrat;
    box-sizing: border-box;
}

:root {
    --clr-primary: hsl(215 80% 50%);
    --clr-primary-darker: hsl(215 80% 42%);
    --clr-primary-lighter: hsl(215 80% 72%);
    --clr-secondary: hsl(208 8% 46%);
    --clr-secondary-darker: hsl(208 8% 38%);
    --clr-secondary-lighter: hsl(208 8% 68%);
    --clr-success: hsl(134 62% 40%);
    --clr-success-darker: hsl(134 62% 32%);
    --clr-warning: hsl(45 80% 52%);
    --clr-warning-darker: hsl(45 80% 44%);
    --clr-danger: hsl(355 70% 52%);
    --clr-danger-darker: hsl(355 70% 44%);
    --clr-info: hsl(190, 80%, 52%);
    --clr-info-darker: hsl(190, 80%, 44%);
    /*-------------------------------------*/
    --clr-black: hsl(0,0%,0%);
    --clr-black-lighter-1: hsl(0,0%,8%);
    --clr-black-lighter-2: hsl(0,0%,12%);
    --clr-black-lighter-3: hsl(0,0%,16%);
    --clr-black-lighter-4: hsl(0,0%,20%);
    --clr-black-lighter-5: hsl(0,0%,24%);
    --clr-black-lighter-6: hsl(0,0%,28%);
    /*-------------------------------------*/
    --clr-white: hsl(0,0%,100%);
    --clr-white-darker-1: hsl(0,0%,92%);
    --clr-white-darker-2: hsl(0,0%,82%);
    --clr-white-darker-3: hsl(0,0%,72%);
}

:root {
    --clr-text-1: hsl(82, 31%, 54%);
    /*    --clr-text-1: hsl(82, 5%, 50%);*/
    --clr-text-1-dark: hsl(82, 31%, 45%);
    /*    --clr-text-1-dark: hsl(82, 50%, 35%);*/
    /*    --clr-bg-1: rgb(251, 248, 234);*/
    --clr-bg-1: rgb(244, 244, 244);
    --header-height: 3.5rem;
    /*    --header-height: 5.8rem;*/
    --scrollbar-width: 15px;
    /*    --clr-*/
}

.txt-danger {
    color: var(--clr-danger);
}

.dragged-img-container {
    position: fixed;
    z-index: 1000;
    border-radius: 6px;
    padding: 0.25rem 0.5rem;
    background-color: white;
    box-shadow: rgb(85,85,85) 0 0 6px 0.5px;
}

    .dragged-img-container > div {
        width: 80px;
        aspect-ratio: 4/3;
        height: auto;
        position: relative;
    }

    .dragged-img-container img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        position: absolute;
        top: 0;
        left: 0;
    }

.spinner {
    border: var(--spinner-border-width, 4px) solid #f3f3f3;
    border-top: var(--spinner-border-width, 4px) solid #3498db;
    border-radius: 50%;
    width: 100%;
    height: 100%;
    animation: spin 1.5s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.svg-wrapper-btn {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.standard-btn {
    border: none;
    background: none;
    padding: 0.4rem 0.6rem;
    border-radius: 6px;
    font-size: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: background-color linear 0.3s;
}

.primary-btn {
    background-color: var(--clr-primary);
    color: var(--clr-white)
}

    .primary-btn:hover {
        background-color: var(--clr-primary-darker);
    }

.primary-outline-btn {
    background-color: var(--clr-white);
    color: var(--clr-primary);
    border: 1px solid var(--clr-primary);
}

    .primary-outline-btn:hover {
        background-color: var(--clr-primary-lighter);
    }

.secondary-btn {
    background-color: var(--clr-secondary);
    color: var(--clr-white);
}

    .secondary-btn:hover {
        background-color: var(--clr-secondary-darker);
    }

.success-btn {
    background-color: var(--clr-success);
    color: var(--clr-white);
}

    .success-btn:hover {
        background-color: var(--clr-success-darker);
    }

.warning-btn {
    background-color: var(--clr-warning);
    color: var(--clr-black-lighter-3);
}

    .warning-btn:hover {
        background-color: var(--clr-warning-darker);
    }

.danger-btn {
    background-color: var(--clr-danger);
    color: var(--clr-white);
}

    .danger-btn:hover {
        background-color: var(--clr-danger-darker);
    }

.info-btn {
    background-color: var(--clr-info);
    color: var(--clr-black-lighter-3);
}

    .info-btn:hover {
        background-color: var(--clr-info-darker);
    }

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}
